function pred = poiss_pred(pred_val, ydata, lambda_val, alpha_val,p)

min_val = min(ydata(end),pred_val);

s=0:1:min_val;

for i=1:length(s)
    part1(i,:) = nchoosek(ydata(end),s(i)).*(alpha_val.^s(i)).*(1-alpha_val).^(ydata(end)-s(i));

    part2(i,:) = (1./factorial(pred_val-s(i))).*exp( -lambda_val.*((1-alpha_val.^p)./(1-alpha_val)))...
                                  .*(lambda_val.*((1-alpha_val.^p)./(1-alpha_val))).^(pred_val-s(i));

end

pred = sum(part1.*part2,1);







